import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconNode = (props: IconProps) => {
    return <Icon id="IconNode" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M1 4C1 2.34315 2.34315 1 4 1C5.65683 1 7 2.34314 7 4C7 4.46314 6.89505 4.90177 6.70762 5.29341L7.6776 6.26339C8.56088 5.47746 9.72468 5 11 5C12.0191 5 12.967 5.30487 13.7574 5.82839L14.2924 5.29341C14.105 4.90177 14 4.46314 14 4C14 2.34314 15.3432 1 17 1C18.6568 1 20 2.34314 20 4C20 5.65683 18.6568 7 17 7C16.5369 7 16.0982 6.89505 15.7066 6.70762L15.1716 7.24261C15.6951 8.03304 16 8.98091 16 10C16 11.044 15.68 12.0133 15.1328 12.8152L17.2158 15.419C17.7529 15.1508 18.3589 15 19 15C21.2091 15 23 16.7909 23 19C23 21.2091 21.2091 23 19 23C16.7909 23 15 21.2091 15 19C15 18.1578 15.2603 17.3764 15.7048 16.7318L13.6912 14.2147C12.9142 14.7118 11.9908 15 11 15C10.3786 15 9.78365 14.8866 9.23474 14.6795L8.24857 15.6656C8.72146 16.3226 9 17.1288 9 18C9 20.2091 7.20913 22 5 22C2.79086 22 1 20.2091 1 18C1 15.7909 2.79086 14 5 14C5.6099 14 6.18792 14.1365 6.70517 14.3806L7.50761 13.5782C6.57747 12.6702 6 11.4025 6 10C6 9.24335 6.16807 8.52596 6.46891 7.88312L5.29341 6.70762C4.90177 6.89505 4.46314 7 4 7C2.34314 7 1 5.65683 1 4ZM4 3C3.44771 3 3 3.44771 3 4C3 4.55227 3.44772 5 4 5C4.55227 5 5 4.55227 5 4C5 3.44772 4.55227 3 4 3ZM17 3C16.4477 3 16 3.44772 16 4C16 4.55227 16.4477 5 17 5C17.5523 5 18 4.55227 18 4C18 3.44772 17.5523 3 17 3ZM11 7C9.34313 7 8 8.34313 8 10C8 11.6569 9.34313 13 11 13C12.6569 13 14 11.6569 14 10C14 8.34313 12.6569 7 11 7ZM5 16C3.89543 16 3 16.8954 3 18C3 19.1046 3.89543 20 5 20C6.10457 20 7 19.1046 7 18C7 16.8954 6.10457 16 5 16ZM19 17C17.8954 17 17 17.8954 17 19C17 20.1046 17.8954 21 19 21C20.1046 21 21 20.1046 21 19C21 17.8954 20.1046 17 19 17Z" />
    </Icon>;
};

export default IconNode;
